### Enumeration

# AppStream IconKind

#### Declaration

    enum AppStream.IconKind

#### Description [src]

The icon type.

#### Members

`AS_ICON_KIND_UNKNOWN`

  Unknown icon kind.

  - Value: `0`
  - Available since: 1.0
`AS_ICON_KIND_STOCK`

  Stock icon name.

  - Value: `1`
  - Available since: 1.0
`AS_ICON_KIND_CACHED`

  Icon in the internal caches.

  - Value: `2`
  - Available since: 1.0
`AS_ICON_KIND_LOCAL`

  Local icon name.

  - Value: `3`
  - Available since: 1.0
`AS_ICON_KIND_REMOTE`

  Remote icon URL.

  - Value: `4`
  - Available since: 1.0

#### Type functions

###### as_icon_kind_from_string

Converts the text representation to an enumerated value.

###### as_icon_kind_to_string

Converts the enumerated value to an text representation.